Subject: [PATCH 0/4] Add testing/whipper and deps

From: Galen Abell <[email-masked]>
Date: Sat, 1 Feb 2020 17:32:12 -0500

This patch set adds whipper (a python program for accurately ripping CDs) and
its dependencies.

Galen Abell (4):
  testing/py3-cdio: new aport
  testing/py3-discid: new aport
  testing/cdrdao: new aport
  testing/whipper: new aport

 testing/cdrdao/APKBUILD     | 36 ++++++++++++++++++++++++++++
 testing/py3-cdio/APKBUILD   | 27 +++++++++++++++++++++
 testing/py3-discid/APKBUILD | 27 +++++++++++++++++++++
 testing/whipper/APKBUILD    | 48 +++++++++++++++++++++++++++++++++++++
 4 files changed, 138 insertions(+)
 create mode 100644 testing/cdrdao/APKBUILD
 create mode 100644 testing/py3-cdio/APKBUILD
 create mode 100644 testing/py3-discid/APKBUILD
 create mode 100644 testing/whipper/APKBUILD

--
2.25.0

---

From: Galen Abell <[email-masked]>
Date: Sat, 1 Feb 2020 17:32:13 -0500

https://www.gnu.org/software/libcdio
Python OO interface to libcdio (CD Input and Control library)
testing/
---
 testing/py3-cdio/APKBUILD | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100644 testing/py3-cdio/APKBUILD

diff --git a/testing/py3-cdio/APKBUILD b/testing/py3-cdio/APKBUILD
new file mode 100644
index 0000000000..c1cb26e2eb
--- /dev/null
+++ b/testing/py3-cdio/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Galen Abell <[email-masked]>
+# Maintainer: Galen Abell <[email-masked]>
+pkgname="py3-cdio"
+_pyname="pycdio"
+pkgver="2.1.0"
+pkgrel=0
+pkgdesc="Python OO interface to libcdio (CD Input and Control library)"
+url="https://www.gnu.org/software/libcdio"
+arch="all"
+license="GPL-3.0-only"
+depends="python3 libcdio"
+makedepends="python3-dev libcdio-dev swig py3-nose"
+source="https://files.pythonhosted.org/packages/source/${_pyname%${_pyname#?}}/$_pyname/$_pyname-$pkgver.tar.gz"
+builddir="$srcdir/$_pyname-$pkgver"
+
+build() {
+	python3 setup.py build
+}
+
+check() {
+	python3 setup.py test
+}
+
+package() {
+	python3 setup.py install --prefix=/usr --root="$pkgdir"
+}
+sha512sums="dc18fbd212f7040b8b06efaf263b17568e9c2d089cff7dfc4dda50a7225059e44c9c86e2d81ade92cf09c823f7189b5723fb601cb12f0884dc04e9f5418c5927  pycdio-2.1.0.tar.gz"
-- 
2.25.0

---

From: Galen Abell <[email-masked]>
Date: Sat, 1 Feb 2020 17:32:15 -0500

http://cdrdao.sourceforge.net/index.html
Records audio/data CD-Rs in disk-at-once (DAO) mode
testing/
---
 testing/cdrdao/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/cdrdao/APKBUILD

diff --git a/testing/cdrdao/APKBUILD b/testing/cdrdao/APKBUILD
new file mode 100644
index 0000000000..738316e240
--- /dev/null
+++ b/testing/cdrdao/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Galen Abell <[email-masked]>
+# Maintainer: Galen Abell <[email-masked]>
+pkgname="cdrdao"
+pkgver="1.2.4"
+pkgrel=0
+pkgdesc="Records audio/data CD-Rs in disk-at-once (DAO) mode"
+url="http://cdrdao.sourceforge.net/index.html"
+arch="all"
+license="GPL-2.0-only"
+makedepends="lame libmad libvorbis libao linux-headers"
+subpackages="$pkgname-doc"
+source="https://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+build() {
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		--without-xdao \
+		--with-lame \
+		--with-ogg-support \
+		--with-mp3-support
+	make
+}
+
+check() {
+	make check
+}
+
+package() {
+	make DESTDIR="$pkgdir" install
+}
+sha512sums="41f20275ca44ec9003d0e3ed280cc98012353005cda6f544ebfa44f3f79f991845c0ef17af74db9456f1bacc342a7fd48c9e942d757927a4a9ff91808f7bbb09  cdrdao-1.2.4.tar.bz2"
-- 
2.25.0

---

From: Galen Abell <[email-masked]>
Date: Sat, 1 Feb 2020 17:32:16 -0500

https://github.com/whipper-team/whipper
Python CD-DA ripper preferring accuracy over speed
testing/
---
 testing/whipper/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/whipper/APKBUILD

diff --git a/testing/whipper/APKBUILD b/testing/whipper/APKBUILD
new file mode 100644
index 0000000000..762c24c665
--- /dev/null
+++ b/testing/whipper/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Galen Abell <[email-masked]>
+# Maintainer: Galen Abell <[email-masked]>
+pkgname="whipper"
+pkgver="0.9.0"
+pkgrel=0
+pkgdesc="Python CD-DA ripper preferring accuracy over speed"
+url="https://github.com/whipper-team/whipper"
+arch="all"
+license="GPL-3.0-only"
+depends="
+	python3
+	libcdio-paranoia
+	cdrdao
+	gobject-introspection
+	py3-gobject3
+	py3-musicbrainzngs
+	py3-mutagen
+	py3-requests
+	py3-cdio
+	py3-discid
+	py3-ruamel.yaml
+	flac
+	sox
+"
+makedepends="python3-dev py3-wheel libsndfile-dev"
+checkdepends="py3-setuptools_scm py3-twisted"
+source="$pkgname-$pkgver.tar.gz::https://github.com/whipper-team/whipper/archive/v$pkgver.tar.gz"
+
+build() {
+	export SETUPTOOLS_SCM_PRETEND_VERSION="$pkgver"
+
+	python3 setup.py build
+}
+
+check() {
+	# remove tests that require network access
+	rm "$builddir"/whipper/test/test_common_accurip.py || true
+
+	# fix missing accuraterip module
+	local python_version=$(python3 -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')
+
+	PYTHONPATH="build/lib.linux-${CARCH}-${python_version}/" python3 -m unittest discover
+}
+
+package() {
+	python3 setup.py install --prefix=/usr --root="$pkgdir" --skip-build
+}
+sha512sums="49e66ad2c6e8450199a53a28bb71725704daac86ce2cbf68080d4dee1c2357cf8367ddb4735a07f2ffe612d84f016661e5b6f94efa9d5a7d6b8cf56ee32b0ae7  whipper-0.9.0.tar.gz"
-- 
2.25.0